using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 项目范围
    /// </summary>
    [Description("项目范围")]
    public partial class T_TI_PROJECT_RANGE : MesEntityBase
    {
        /// <summary>
        /// 计划ID
        /// </summary>
        [Description("项目ID")]
        [DataFieldForeignKey("Nav_Project", "Nav_Ranges")]
        public Guid PROJECT_ID { get; set; }

        /// <summary>
        /// 导航：计划
        /// </summary>
        [Description("导航：项目")]
        public virtual T_TI_PROJECT Nav_Project { get; set; }

        /// <summary>
        /// 来源ID
        /// </summary>
        [Description("所属范围")]
        [DataFieldForeignKey("Nav_Range")]
        public Guid RANGE_ID { get; set; }

        /// <summary>
        /// 导航属性：所属范围
        /// </summary>
        [Description("导航属性：所属范围")]
        public virtual T_TI_PLAN_RANGE_TYPE Nav_Range { get; set; }

    }
}
